function cbclick3(o1)
{
   if ((otd=o1.parentNode)==null)
      return;
   if ((otr=otd.parentNode)==null)
      return;
   if ((otd3=otr.cells[2])==null)
      return;
   otd3.style.visibility = o1.checked?'visible':'hidden';
}
function field_is_ok(o1)
{
   if ((otd=o1.parentNode)==null)
      return false;
   if ((otr=otd.parentNode)==null)
      return false;
   if ((otd1=otr.cells[0])==null)
      return false;

   var l=otd1.childNodes.length;
   for (var i=0;i<l;i++) {
      if (otd1.childNodes[i].tagName.toUpperCase()!='INPUT')
         continue;

      return (otd1.childNodes[i].checked);
   }
   // Not found so far
   return false;
}
function apply_values()
{
   var ret=new Array();
   var oe=document.goForm.elements;
   var l=oe.length;
   for (var i=0;i<l;i++) {
      e1=oe[i];

      if (e1.name=='' || !field_is_ok(e1))
         continue;

      val='';
      switch (e1.tagName.toUpperCase())
      {
      case 'INPUT':
         switch  (e1.type.toUpperCase())
         {
         case 'TEXT':
            val=e1.value;
            break;
         case 'CHECKBOX':
         case 'RADIO':
            if (e1.checked) val=e1.value;
            break;
         }
         break;
      case 'SELECT':
         j=e1.selectedIndex;
         if (j<0) j=0;
         val=e1.options[j].value;
         break;
      }
      ret[e1.name] = val;
   }
   window.returnValue=ret;
   window.close();
}
